VERSION 5.00
Begin VB.Form Form1 
   Caption         =   " StretchBltGDI+"
   ClientHeight    =   4725
   ClientLeft      =   9540
   ClientTop       =   4470
   ClientWidth     =   6465
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4725
   ScaleWidth      =   6465
   Begin VB.CommandButton Command2 
      Caption         =   "StretchBlt"
      Height          =   555
      Left            =   1845
      TabIndex        =   3
      Top             =   180
      Width           =   1455
   End
   Begin VB.PictureBox Picture2 
      Height          =   3975
      Left            =   4275
      ScaleHeight     =   3915
      ScaleWidth      =   1845
      TabIndex        =   2
      Top             =   405
      Width           =   1905
   End
   Begin VB.PictureBox Picture1 
      Height          =   2985
      Left            =   360
      ScaleHeight     =   2925
      ScaleWidth      =   3060
      TabIndex        =   1
      Top             =   1170
      Width           =   3120
   End
   Begin VB.CommandButton Command1 
      Caption         =   "GDI+"
      Height          =   555
      Left            =   315
      TabIndex        =   0
      Top             =   180
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function StretchBlt Lib "gdi32" (ByVal hDC As Long, _
       ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, _
       ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, _
       ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, _
       ByVal dwRop As Long) As Long

'Parameter -> StretchBlt
'X -> Die x-Koordinate der linken oberen Ecke des Zielrechtecks, angegeben in logischen Einheiten.
'Y -> Die y-Koordinate der linken oberen Ecke des Zielrechtecks, angegeben in logischen Einheiten.
'nWidth -> Die Breite des Zielrechtecks, angegeben in logischen Einheiten.
'nHeight -> Die Hhe des Zielrechtecks, angegeben in logischen Einheiten.
'xSrc -> Die x-Koordinate der linken oberen Ecke des Quell-Rechtecks, angegeben in logischen Einheiten.
'ySrc -> Die x-Koordinate der linken oberen Ecke des Quell-Rechtecks, angegeben in logischen Einheiten.
'nSrcWidth -> Die Breite des Quellrechtecks, angegeben in logischen Einheiten.
'nSrcHeight -> Die Hhe des Quellrechtecks, angegeben in logischen Einheiten.

Private Sub Command1_Click()
   Dim token    As Long 'GDI+
   
   Picture2.Picture = LoadPicture("")
   Picture1.AutoRedraw = True
   Picture2.AutoRedraw = True
   
    ' Initialise GDI+
    token = InitGDIPlus
                     
   Picture2.Picture = StretchBltGDI(20, 20, Picture2.ScaleWidth - 40, Picture2.ScaleHeight - 40, Picture1.Picture.Handle, _
                                             Picture1.Picture.Type, 100, 0, Picture1.ScaleWidth, Picture1.ScaleHeight, vbWhite)
                 
   ' Free GDI+
    FreeGDIPlus token
    
    Picture1.AutoRedraw = False
    Picture2.Refresh
    Picture2.AutoRedraw = False
   
End Sub

Private Sub Command2_Click()
   Picture2.Picture = LoadPicture("")
    Picture1.AutoRedraw = True
   Picture2.AutoRedraw = True
   
   
    StretchBlt Picture2.hDC, 20, 20, Picture2.ScaleWidth + 47, Picture2.ScaleHeight - 40, Picture1.hDC, 100, 0, _
                                                                   Picture1.ScaleWidth, Picture1.ScaleHeight, vbSrcCopy
    
    Picture1.AutoRedraw = False
    Picture2.Refresh
    Picture2.AutoRedraw = False
End Sub

Private Sub Form_Load()
   Form1.ScaleMode = 3
   Command1.Caption = "GDI+"
   Command2.Caption = "StretchBlt"
   Picture1.ScaleMode = 3
   Picture2.ScaleMode = 3
   Picture1.Width = 200
   Picture1.Height = 200
   Picture2.Width = 127
   Picture2.Height = 265
   Picture2.BackColor = vbWhite
   Picture1.Picture = LoadPicture(App.Path & "\Test.jpg") '-- 200 x 200 Pixel
End Sub
